﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace howto_validate_ssn_extension
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        // If the SSN is invalid, display a yellow background.
        private void txtWithDashes_TextChanged(object sender, EventArgs e)
        {
            if (txtWithDashes.Text.IsValidSsnWithDashes())
                txtWithDashes.BackColor = SystemColors.Window;
            else
                txtWithDashes.BackColor = Color.Yellow;
        }

        private void txtWithoutDashes_TextChanged(object sender, EventArgs e)
        {
            if (txtWithoutDashes.Text.IsValidSsnWithoutDashes())
                txtWithoutDashes.BackColor = SystemColors.Window;
            else
                txtWithoutDashes.BackColor = Color.Yellow;
        }

        private void txtEither_TextChanged(object sender, EventArgs e)
        {
            if (txtEither.Text.IsValidSsn())
                txtEither.BackColor = SystemColors.Window;
            else
                txtEither.BackColor = Color.Yellow;
        }
    }
}
